org.eclipse.jdt.debug.core

## Interface IJavaHotCodeReplaceListener

    public interface IJavaHotCodeReplaceListener

Notification of hot code replace failure and success. As resources are modified in the workspace, targets that support hot code replace are updated with new class files.

Clients may implement this interface

Since:
  2.0

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `hotCodeReplaceFailed(IJavaDebugTarget target, DebugException exception)` Notification that a hot code replace attempt failed in the given target.
`void` `hotCodeReplaceSucceeded(IJavaDebugTarget target)` Notification that a hot code replace attempt succeeded in the given target.
`void` `obsoleteMethods(IJavaDebugTarget target)` Notification that obsolete methods remain on the stack in one or more threads in the given target after a hot code replace.

### Method Detail

#### hotCodeReplaceFailed

    void hotCodeReplaceFailed(IJavaDebugTarget target,
                              DebugException exception)

Notification that a hot code replace attempt failed in the given target.

Parameters:
  `target` - the target in which the hot code replace failed
  `exception` - the exception generated by the hot code replace failure, or `null` if the hot code replace failed because the target VM does not support hot code replace

#### hotCodeReplaceSucceeded

    void hotCodeReplaceSucceeded(IJavaDebugTarget target)

Notification that a hot code replace attempt succeeded in the given target.

Parameters:
  `target` - the target in which the hot code replace succeeded

#### obsoleteMethods

    void obsoleteMethods(IJavaDebugTarget target)

Notification that obsolete methods remain on the stack in one or more threads in the given target after a hot code replace.

Parameters:
  `target` - the target in which obsolete methods remain after a hot code replace